---
- hosts: localhost
  gather_facts: False
  tasks:
    - name: "Check ansible version !=2.7.0"
      assert:
        msg: "Ansible V2.7.0 can't be used until: https://github.com/ansible/ansible/issues/46600 is fixed"
        that:
          - ansible_version.string is version("2.7.0", "!=")
          - ansible_version.string is version("2.6.0", ">=")
      tags:
        - check
  vars:
    ansible_connection: local

- hosts: bastion[0]
  gather_facts: False
  roles:
    - { role: kubespray-defaults}
    - { role: bastion-ssh-config, tags: ["localhost", "bastion"]}

- hosts: "{{ groups['etcd'] | first }}"
  roles:
    - { role: kubespray-defaults}
    - { role: recover_control_plane/pre-recover }
    - { role: recover_control_plane/etcd }

- hosts: "{{ groups['kube-master'] | first }}"
  roles:
    - { role: recover_control_plane/master }

- include: cluster.yml

- hosts: "{{ groups['kube-master'] }}"
  roles:
    - { role: kubespray-defaults}
    - { role: recover_control_plane/post-recover }
